com.tibbo.aggregate.common.event

## Class Enrichment

- java.lang.Object
- - com.tibbo.aggregate.common.event.Enrichment

-     public class Enrichment
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_AUTHOR`
    `static java.lang.String` | `FIELD_DATE`
    `static java.lang.String` | `FIELD_NAME`
    `static java.lang.String` | `FIELD_VALUE`
    `static java.lang.String` | `FIRST_OCCURRENCE`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Enrichment()`
    `Enrichment(java.lang.String name, java.lang.String value, java.util.Date date, java.lang.String author)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()`
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()`
    `void` | `setAuthor(java.lang.String author)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setName(java.lang.String name)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIRST_OCCURRENCE

          public static final java.lang.String FIRST_OCCURRENCE

      See Also:
        Constant Field Values

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_VALUE

          public static final java.lang.String FIELD_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_DATE

          public static final java.lang.String FIELD_DATE

      See Also:
        Constant Field Values

    - #### FIELD_AUTHOR

          public static final java.lang.String FIELD_AUTHOR

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### Enrichment

          public Enrichment()

    - #### Enrichment

          public Enrichment(java.lang.String name,
                            java.lang.String value,
                            java.util.Date date,
                            java.lang.String author)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### setAuthor

          public void setAuthor(java.lang.String author)